net.sf.jasperreports.engine.xml

## Class TransformedPropertyRule

- java.lang.Object
- - org.apache.commons.digester.Rule
  - - net.sf.jasperreports.engine.xml.TransformedPropertyRule

- Direct Known Subclasses:
    ColorPropertyRule, UuidPropertyRule, XmlConstantPropertyRule

      public abstract class TransformedPropertyRule
      extends org.apache.commons.digester.Rule

  Version:
    $Id: TransformedPropertyRule.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `attributeName`
    `protected java.lang.String` | `propertyName`

    - ### Fields inherited from class org.apache.commons.digester.Rule

      `digester, namespaceURI`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TransformedPropertyRule(java.lang.String attributeName)`
    `protected` | `TransformedPropertyRule(java.lang.String attributeName, java.lang.String propertyName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `begin(java.lang.String namespace, java.lang.String name, org.xml.sax.Attributes attributes)`
    `protected abstract java.lang.Object` | `toPropertyValue(java.lang.String attributeValue)`

    - ### Methods inherited from class org.apache.commons.digester.Rule

      `begin, body, body, end, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### attributeName

          protected final java.lang.String attributeName

    - #### propertyName

          protected final java.lang.String propertyName

  - ### Constructor Detail

    - #### TransformedPropertyRule

          protected TransformedPropertyRule(java.lang.String attributeName)

    - #### TransformedPropertyRule

          protected TransformedPropertyRule(java.lang.String attributeName,
                                 java.lang.String propertyName)

  - ### Method Detail

    - #### begin

          public void begin(java.lang.String namespace,
                   java.lang.String name,
                   org.xml.sax.Attributes attributes)
                     throws java.lang.Exception

      Overrides:
        `begin` in class `org.apache.commons.digester.Rule`
      Throws:
        `java.lang.Exception`

    - #### toPropertyValue

          protected abstract java.lang.Object toPropertyValue(java.lang.String attributeValue)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com